# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

################
###  C4  ###
################
%package sub1-Preset_boards-C4_HAL_Backend
Summary:	C4 Selection for HAL
Requires:	model-config-generic-hal
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Power
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Codec

%description sub1-Preset_boards-C4_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-C4_HAL_Backend
%posttrans sub1-Preset_boards-C4_HAL_Backend
%tizen_hal_feature tizen.org/system/platform.processor S905X3
%tizen_hal_feature tizen.org/system/platform.communication_processor none
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch armv8
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch.armv6 false
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch.armv7 false
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch.armv8 true
%tizen_hal_feature tizen.org/feature/platform.core.cpu.frequency 2000
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch.vfpv2 false
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch.vfpv3 false
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch.vfpv4 true
%tizen_hal_feature tizen.org/feature/network.asp true
%tizen_hal_feature tizen.org/feature/network.mtp true
%tizen_hal_feature tizen.org/feature/network.push true
%tizen_hal_feature tizen.org/feature/network.route true
%tizen_hal_feature tizen.org/feature/network.wifi true
%tizen_hal_feature tizen.org/feature/network.ethernet true
%tizen_hal_feature tizen.org/feature/network.internet true
%tizen_hal_feature tizen.org/feature/network.inm true
%tizen_hal_feature tizen.org/feature/network.service_discovery.dnssd true
%tizen_hal_feature tizen.org/feature/network.service_discovery.ssdp true
%tizen_hal_feature tizen.org/feature/network.wifi.tdls false
%tizen_hal_feature tizen.org/feature/network.wifi.softap true
%tizen_hal_feature tizen.org/feature/network.wifi.direct true
%tizen_hal_feature tizen.org/feature/network.wifi.direct.display true
%tizen_hal_feature tizen.org/feature/network.vpn true
%tizen_hal_feature tizen.org/feature/network.tethering true
%tizen_hal_feature tizen.org/feature/network.tethering.wifi true
%tizen_hal_feature tizen.org/feature/network.traffic_control true
%tizen_hal_feature tizen.org/feature/screen.height 720
%tizen_hal_feature tizen.org/feature/screen.output.hdmi true
%tizen_hal_feature tizen.org/feature/screen.output.rca false
%tizen_hal_feature tizen.org/feature/screen.shape.circle false
%tizen_hal_feature tizen.org/feature/screen.shape.rectangle true
%tizen_hal_feature tizen.org/feature/screen.size.normal.720.1280 true
%tizen_hal_feature tizen.org/feature/screen.width 1280
%tizen_hal_feature tizen.org/system/model_name c4
%tizen_hal_feature tizen.org/feature/usb.host true
%tizen_hal_feature tizen.org/feature/download true

### C4-Power ###
%package sub2-Preset_boards-C4_HAL_Backend-Power
Summary:	C4_Power

%description sub2-Preset_boards-C4_HAL_Backend-Power
Packages for PASS HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Power

### C4-System_Device ###
%package sub2-Preset_boards-C4_HAL_Backend-System_Device
Summary:	C4_Deviced Plugin for HAL
Requires:	hal-backend-device-c4

%description sub2-Preset_boards-C4_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-System_Device

### C4-Bluetooth ###
%package sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Summary:	C4_Bluetooth for HAL
Requires:	hal-backend-bluetooth-usb

%description sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Bluetooth
%posttrans sub2-Preset_boards-C4_HAL_Backend-Bluetooth
%tizen_hal_feature tizen.org/feature/network.bluetooth true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.call true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.controller true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.media true
%tizen_hal_feature tizen.org/feature/network.bluetooth.phonebook.client true
%tizen_hal_feature tizen.org/feature/network.bluetooth.opp true
%tizen_hal_feature tizen.org/feature/network.bluetooth.hid true
%tizen_hal_feature tizen.org/feature/network.bluetooth.hid_device true
%tizen_hal_feature tizen.org/feature/network.bluetooth.health true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.server true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.client true
%tizen_hal_feature tizen.org/feature/network.bluetooth.oob true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.5_0 false
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.coc false

### C4-Audio ###
%package sub2-Preset_boards-C4_HAL_Backend-Audio
Summary:	C4_Audio for HAL
#From TRE-2757
Requires:	audio-hal-emul
#From TRE-2757
Requires:	media-config-target-c4

%description sub2-Preset_boards-C4_HAL_Backend-Audio
Packages of Audio HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Audio

### C4-Camera_Common ###
%package sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Summary:	C4_Camera(Common) for HAL
Requires:	camera-hal-v4l2
#From TRE-2757
Requires:	media-config-target-c4

%description sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for C4(Common).
%files sub2-Preset_boards-C4_HAL_Backend-Camera_Common

### C4-Display ###
%package sub2-Preset_boards-C4_HAL_Backend-Display
Summary:	C4_Display for HAL
Requires:	hal-backend-tbm-meson
Requires:	hal-backend-tdm-meson

%description sub2-Preset_boards-C4_HAL_Backend-Display
Packages of Display HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Display
%posttrans sub2-Preset_boards-C4_HAL_Backend-Display
%tizen_hal_feature tizen.org/feature/graphics.acceleration true
%tizen_hal_feature tizen.org/feature/multi_point_touch.pinch_zoom true
%tizen_hal_feature tizen.org/feature/opengles true
%tizen_hal_feature tizen.org/feature/opengles.version.1_1 true
%tizen_hal_feature tizen.org/feature/opengles.version.2_0 true
%tizen_hal_feature tizen.org/feature/opengles.version.3_0 true
%tizen_hal_feature tizen.org/feature/opengles.version.3_1 true
%tizen_hal_feature tizen.org/feature/opengles.version.3_2 true
%tizen_hal_feature tizen.org/feature/vulkan.version.1_0 false
%tizen_hal_feature tizen.org/feature/screen true
%tizen_hal_feature tizen.org/feature/opengles.surfaceless_context true
%tizen_hal_feature tizen.org/feature/display true

### C4-Codec ###
%package sub2-Preset_boards-C4_HAL_Backend-Codec
Summary:	C4_Codec for HAL
#From TRE-2757
Requires:	media-config-target-c4

%description sub2-Preset_boards-C4_HAL_Backend-Codec
Packages of Codec HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Codec
